## GnomeCanvasText

GnomeCanvasText — Text canvas item

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

                        GnomeCanvasText;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasText

## Properties

      "anchor"                   GtkAnchorType         : Read / Write
      "attributes"               PangoAttrList         : Read / Write
      "clip"                     gboolean              : Read / Write
      "clip-height"              gdouble               : Read / Write
      "clip-width"               gdouble               : Read / Write
      "family"                   gchararray            : Read / Write
      "family-set"               gboolean              : Read / Write
      "fill-color"               gchararray            : Read / Write
      "fill-color-gdk"           GdkColor              : Read / Write
      "fill-color-rgba"          guint                 : Read / Write
      "fill-stipple"             GdkDrawable           : Read / Write
      "font"                     gchararray            : Read / Write
      "font-desc"                PangoFontDescription  : Read / Write
      "justification"            GtkJustification      : Read / Write
      "markup"                   gchararray            : Write
      "rise"                     gint                  : Read / Write
      "rise-set"                 gboolean              : Read / Write
      "scale"                    gdouble               : Read / Write
      "scale-set"                gboolean              : Read / Write
      "size"                     gint                  : Read / Write
      "size-points"              gdouble               : Read / Write
      "size-set"                 gboolean              : Read / Write
      "stretch"                  PangoStretch          : Read / Write
      "stretch-set"              gboolean              : Read / Write
      "strikethrough"            gboolean              : Read / Write
      "strikethrough-set"        gboolean              : Read / Write
      "style"                    PangoStyle            : Read / Write
      "style-set"                gboolean              : Read / Write
      "text"                     gchararray            : Read / Write
      "text-height"              gdouble               : Read
      "text-width"               gdouble               : Read
      "underline"                PangoUnderline        : Read / Write
      "underline-set"            gboolean              : Read / Write
      "variant"                  PangoVariant          : Read / Write
      "variant-set"              gboolean              : Read / Write
      "weight"                   gint                  : Read / Write
      "weight-set"               gboolean              : Read / Write
      "x"                        gdouble               : Read / Write
      "x-offset"                 gdouble               : Read / Write
      "y"                        gdouble               : Read / Write
      "y-offset"                 gdouble               : Read / Write

## Description

A canvas item for displaying text. See GnomeCanvasRichText for a more advanced text display and editing canvas item. NB: The GnomeCanvasText item doesn't scale with the zoom property of the GnomeCanvas. A zoomable implementation could derive from GnomeCanvasText and check the zoom property for manual adjustments to the font size.

## Details

### GnomeCanvasText

    typedef struct _GnomeCanvasText GnomeCanvasText;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The "`anchor`" property

      "anchor"                   GtkAnchorType         : Read / Write

Anchor position for the text.

Default value: GTK_ANCHOR_CENTER

### The "`attributes`" property

      "attributes"               PangoAttrList         : Read / Write

Pointer to a Pango attribute list (PangoAttrList).

### The "`clip`" property

      "clip"                     gboolean              : Read / Write

Use clipping rectangle?

Default value: FALSE

### The "`clip-height`" property

      "clip-height"              gdouble               : Read / Write

Height of clip rectangle.

Default value: 0

### The "`clip-width`" property

      "clip-width"               gdouble               : Read / Write

Width of clip rectangle.

Default value: 0

### The "`family`" property

      "family"                   gchararray            : Read / Write

Name of the font family, e.g. Sans, Helvetica, Times, Monospace.

Default value: NULL

### The "`family-set`" property

      "family-set"               gboolean              : Read / Write

Apply specified font family?

Default value: FALSE

### The "`fill-color`" property

      "fill-color"               gchararray            : Read / Write

X color specification for text.

Default value: NULL

### The "`fill-color-gdk`" property

      "fill-color-gdk"           GdkColor              : Read / Write

Pointer to an allocated GdkColor.

### The "`fill-color-rgba`" property

      "fill-color-rgba"          guint                 : Read / Write

RGBA value used for AA color (in the format 0xRRGGBBAA).

Default value: 0

### The "`fill-stipple`" property

      "fill-stipple"             GdkDrawable           : Read / Write

Stipple pattern for filling the text.

### The "`font`" property

      "font"                     gchararray            : Read / Write

Font description as a string.

Default value: NULL

### The "`font-desc`" property

      "font-desc"                PangoFontDescription  : Read / Write

Font description as a PangoFontDescription struct.

### The "`justification`" property

      "justification"            GtkJustification      : Read / Write

Justification for multiline text.

Default value: GTK_JUSTIFY_LEFT

### The "`markup`" property

      "markup"                   gchararray            : Write

Pango marked up text to render.

Default value: NULL

### The "`rise`" property

      "rise"                     gint                  : Read / Write

Offset of text above the baseline (below the baseline if rise is negative).

Allowed values: >= -2147483647

Default value: 0

### The "`rise-set`" property

      "rise-set"                 gboolean              : Read / Write

Apply the specified "rise"?

Default value: FALSE

### The "`scale`" property

      "scale"                    gdouble               : Read / Write

Size of font, relative to default size.

Allowed values: >= 0

Default value: 1

### The "`scale-set`" property

      "scale-set"                gboolean              : Read / Write

Apply specified font scaling ratio?

Default value: FALSE

### The "`size`" property

      "size"                     gint                  : Read / Write

Size (in pixels) of font.

Allowed values: >= 0

Default value: 0

### The "`size-points`" property

      "size-points"              gdouble               : Read / Write

Size (in points) of font.

Allowed values: >= 0

Default value: 0

### The "`size-set`" property

      "size-set"                 gboolean              : Read / Write

Apply specified font size?

Default value: FALSE

### The "`stretch`" property

      "stretch"                  PangoStretch          : Read / Write

Pango stretch of font to use (PangoStretch).

Default value: PANGO_STRETCH_NORMAL

### The "`stretch-set`" property

      "stretch-set"              gboolean              : Read / Write

Apply specified pango stretch?

Default value: FALSE

### The "`strikethrough`" property

      "strikethrough"            gboolean              : Read / Write

Whether to strike through the text.

Default value: FALSE

### The "`strikethrough-set`" property

      "strikethrough-set"        gboolean              : Read / Write

Apply specified strikethrough option?

Default value: FALSE

### The "`style`" property

      "style"                    PangoStyle            : Read / Write

Pango style of font to use (PangoStyle).

Default value: PANGO_STYLE_NORMAL

### The "`style-set`" property

      "style-set"                gboolean              : Read / Write

Apply specified pango style?

Default value: FALSE

### The "`text`" property

      "text"                     gchararray            : Read / Write

The string of the text label.

Default value: NULL

### The "`text-height`" property

      "text-height"              gdouble               : Read

Used to query the rendered height of the text.

Allowed values: >= 0

Default value: 0

### The "`text-width`" property

      "text-width"               gdouble               : Read

Used to query the width of the rendered text.

Allowed values: >= 0

Default value: 0

### The "`underline`" property

      "underline"                PangoUnderline        : Read / Write

Pango underline style for text (PangoUnderline).

Default value: PANGO_UNDERLINE_NONE

### The "`underline-set`" property

      "underline-set"            gboolean              : Read / Write

Apply specified pango underline style?

Default value: FALSE

### The "`variant`" property

      "variant"                  PangoVariant          : Read / Write

Pango variant of font to use (PangoVariant).

Default value: PANGO_VARIANT_NORMAL

### The "`variant-set`" property

      "variant-set"              gboolean              : Read / Write

Apply specified pango variant?

Default value: FALSE

### The "`weight`" property

      "weight"                   gint                  : Read / Write

Pango weight of font to use.

Allowed values: >= 0

Default value: 400

### The "`weight-set`" property

      "weight-set"               gboolean              : Read / Write

Apply specified pango weight?

Default value: FALSE

### The "`x`" property

      "x"                        gdouble               : Read / Write

X coordinate of anchor point.

Default value: 0

### The "`x-offset`" property

      "x-offset"                 gdouble               : Read / Write

Horizontal offset distance from anchor position.

Default value: 0

### The "`y`" property

      "y"                        gdouble               : Read / Write

Y coordinate of anchor point.

Default value: 0

### The "`y-offset`" property

      "y-offset"                 gdouble               : Read / Write

Vertical offset distance from anchor position.

Default value: 0

## See Also

GnomeCanvasRichText